> ## Documentation Index
> Fetch the complete documentation index at: https://jigsaw-13.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# AI Scraper

> Scrape any website instantly and get consistent structured data in seconds without writing any css selector code

## Request Parameters

### Body

<ParamField body="url" type="string">
  URL of the page to scrape. Either `url` or `html` is required, but not both.
</ParamField>

<ParamField body="html" type="string">
  HTML content to scrape. Either `url` or `html` is required, but not both.
</ParamField>

<ParamField body="element_prompts" type="array<string> | object">
  Items on the page to scrape (maximum 5). Can be an array of strings (e.g. `["Plan price", "Plan title"]`) or an object with key-value pairs (e.g. `{"price": "Plan price", "title": "Plan title"}`).
</ParamField>

<ParamField body="scroll" type="boolean" default="false">
  When enabled, automatically scrolls through the entire page to return full-page results.
</ParamField>

<ParamField body="selectors" type="array<string>">
  CSS elements on the page to scrape. E.g. "h2.title", "div.price"
</ParamField>

<ParamField body="root_element_selector" type="string" default="main">
  CSS selector to limit the scope of scraping to a specific element and its children
</ParamField>

<ParamField body="page_position" type="number" default="1">
  For pagination, the current page number (minimum: 1)
</ParamField>

<ParamField body="features" type="array<string>" default={["meta", "link"]}>
  Features to extract from the page. Available options:

  <ul>
    <li>`meta` - Extract page metadata (title, description, keywords, og\_image)</li>
    <li>`link` - Extract links detected on the page</li>
  </ul>
</ParamField>

<ParamField body="advance_config" type="object">
  Advanced configurations

  <Expandable title="Properties">
    <ParamField body="console" type="boolean">
      Tracks console messages emitted when JavaScript within the page calls console API methods
    </ParamField>

    <ParamField body="network" type="boolean">
      Tracks network response information such as URL, method, status, headers, and body
    </ParamField>

    <ParamField body="cookies" type="boolean">
      Tracks cookie information
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="http_headers" type="object">
  Custom HTTP headers to send with requests (key-value pairs)
</ParamField>

<ParamField body="reject_request_pattern" type="array<string>">
  Array of patterns to intercept and block requests (e.g., \["jpg", "png"])
</ParamField>

<ParamField body="goto_options" type="object">
  Custom page-load behavior settings

  <Expandable title="Properties">
    <ParamField body="timeout" type="number" default="30000">
      Custom timeout in milliseconds (maximum: 120000, or 2 minutes)
    </ParamField>

    <ParamField body="wait_until" type="string" default="networkidle2">
      Page load event to wait for:

      <ul>
        <li>`load` - Wait until the load event is fired</li>
        <li>`domcontentloaded` - Wait until the DOMContentLoaded event is fired</li>
        <li>`networkidle0` - Wait until there are no network connections for at least 500ms</li>
        <li>`networkidle2` - Wait until there are no more than 2 network connections for at least 500ms</li>
      </ul>
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="wait_for" type="object">
  Wait condition before scraping

  <Expandable title="Properties">
    <ParamField body="mode" type="string" required>
      Type of waiting condition:

      <ul>
        <li>`timeout` - Wait for a specified time</li>
        <li>`selector` - Wait for a specified CSS selector to appear</li>
        <li>`function` - Wait for a specified function to return true</li>
      </ul>
    </ParamField>

    <ParamField body="value" type="string|number" required>
      The value corresponding to the selected mode:

      <ul>
        <li>For `timeout`: Number of milliseconds to wait (maximum: 60000)</li>
        <li>For `selector`: CSS selector to wait for (e.g., "h2.title")</li>
        <li>For `function`: JavaScript function as a string (e.g., "() => document.querySelector('h2')")</li>
      </ul>
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="cookies" type="array<object>">
  Cookies to set for the page request

  <Expandable title="Cookie Object Properties">
    <ParamField body="name" type="string" required>
      Only the following cookies are allowed: `ADSHUFFLER`, `AWSALB`, `AWSALBCORS`, `AWSALBTG`,
      `AWSALBTGCORS`, `CF_CLEARANCE`, `CONSENT`, `CUSTOMER_CONTEXT`, `LANG`, `REF`, `REMOVAL`,
      `VISITS`, `VISIT_COUNT`
    </ParamField>

    <ParamField body="value" type="string" required>
      Cookie value
    </ParamField>

    <ParamField body="domain" type="string">
      Cookie domain (either `url` or `domain` is required)
    </ParamField>

    <ParamField body="url" type="string">
      The URL to associate with the cookie (either `url` or `domain` is required)
    </ParamField>

    <ParamField body="secure" type="boolean">
      Whether the cookie is secure (HTTPS only)
    </ParamField>

    <ParamField body="httpOnly" type="boolean">
      Whether the cookie is HTTP-only
    </ParamField>

    <ParamField body="sameParty" type="boolean">
      Whether the cookie is same-party
    </ParamField>

    <ParamField body="expires" type="number">
      Cookie expiration timestamp
    </ParamField>

    <ParamField body="priority" type="string">
      Cookie priority: "Low", "High", or "Medium"
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="size_preset" type="string">
  Predefined screen size preset to use instead of specifying width and height manually. Supported values include:

  <ul>
    <li>`QVGA` - 320×240</li>
    <li>`VGA` - 640×480</li>
    <li>`SVGA` - 800×600</li>
    <li>`HD` - 1280×720</li>
    <li>`HD+` - 1600×900</li>
    <li>`SXGA` - 1280×1024</li>
    <li>`FHD` - 1920×1080</li>
    <li>`2K` - 2048×1080</li>
    <li>`2K QHD` - 2560×1440</li>
    <li>`5K` - 5120×2880</li>
    <li>`4K UHD` - 3840×2160</li>
  </ul>

  See the full list of screen size presets [here](/docs/additional-resources/size-preset)
</ParamField>

<ParamField body="is_mobile" type="boolean" default="false">
  Whether to emulate a mobile device viewport
</ParamField>

<ParamField body="scale" type="number" default="1">
  Device scale factor (minimum: 1)
</ParamField>

<ParamField body="width" type="number" default="1920">
  Viewport width in pixels
</ParamField>

<ParamField body="height" type="number" default="1080">
  Viewport height in pixels
</ParamField>

<ParamField body="force_rotate_proxy" type="boolean">
  Whether to force proxy rotation for each request (incurs additional costs)
</ParamField>

<ParamField body="byo_proxy" type="object">
  Bring-your-own-proxy configuration

  <Expandable title="Properties">
    <ParamField body="server" type="string" required>
      Proxy server URL (e.g., "[https://username:password@proxy.example.com:8080](https://username:password@proxy.example.com:8080)")
    </ParamField>

    <ParamField body="auth" type="object">
      Authentication credentials (optional if included in server URL)

      <Expandable title="Properties">
        <ParamField body="username" type="string" required>
          Proxy username
        </ParamField>

        <ParamField body="password" type="string" required>
          Proxy password
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

<Snippet file="header.mdx" />

## Response Structure

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="_usage" type="object" optional>
  Usage information for the API call.

  <Expandable title="_usage">
    <ResponseField name="input_tokens" type="number">
      Number of input tokens processed.
    </ResponseField>

    <ResponseField name="output_tokens" type="number">
      Number of output tokens generated.
    </ResponseField>

    <ResponseField name="inference_time_tokens" type="number">
      Number of tokens processed during inference time.
    </ResponseField>

    <ResponseField name="total_tokens" type="number">
      Total number of tokens used (input + output).
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="log_id" type="string" optional>
  A unique identifier for the request
</ResponseField>

<ResponseField name="data" type="array<object>">
  Detailed scrape data from the page

  <Expandable title="Data Object Structure">
    <ResponseField name="key" type="string">
      The element prompt this data relates to
    </ResponseField>

    <ResponseField name="selector" type="string">
      The CSS selector used to find this element
    </ResponseField>

    <ResponseField name="results" type="array<object>">
      Array of matched elements with their details

      <Expandable title="Result Object">
        <ResponseField name="html" type="string">
          The HTML content of the matched element
        </ResponseField>

        <ResponseField name="text" type="string">
          The text content of the matched element
        </ResponseField>

        <ResponseField name="attributes" type="array<object>">
          Array of HTML attributes on the matched element

          <Expandable title="Attribute Object">
            <ResponseField name="name" type="string">
              The attribute name
            </ResponseField>

            <ResponseField name="value" type="string">
              The attribute value
            </ResponseField>
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="page_position" type="number">
  The current page position when paginating through results
</ResponseField>

<ResponseField name="page_position_length" type="number">
  The total number of pages available
</ResponseField>

<ResponseField name="context" type="record<string, array<string>>">
  A map of element prompt keys to arrays of extracted text content from matched elements
</ResponseField>

<ResponseField name="selectors" type="record<string, array<string>>">
  A map of element prompt keys to arrays of CSS selectors that were used to find matching elements
</ResponseField>

<ResponseField name="link" type="array<object>">
  Links detected on the page

  <Expandable title="Link Object">
    <ResponseField name="href" type="string">
      The URL of the link
    </ResponseField>

    <ResponseField name="text" type="string">
      The text description of the link
    </ResponseField>

    <ResponseField name="type" type="enum">
      The type of link

      * "a" for anchor links
      * "img" for image links
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="advance_config" type="object | undefined">
  Captured browser data if enabled in advance\_config

  <Expandable title="Properties">
    <ResponseField name="console" type="any">
      Console logs captured during scraping
    </ResponseField>

    <ResponseField name="network" type="object">
      Network requests captured during scraping

      <Expandable title="Network Object">
        <ResponseField name="url" type="string">
          The URL of the network request
        </ResponseField>

        <ResponseField name="method" type="string">
          The HTTP method used
        </ResponseField>

        <ResponseField name="status" type="number">
          The HTTP status code
        </ResponseField>

        <ResponseField name="headers" type="Record<string, string>">
          The request/response headers
        </ResponseField>

        <ResponseField name="body" type="string | null">
          The request/response body
        </ResponseField>

        <ResponseField name="type" type="enum">
          The type of network event

          * "request" for outgoing requests
          * "response" for incoming responses
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="cookies" type="any">
      Cookies captured during scraping
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="object | undefined">
  Metadata about the page, such as title, description, keywords, and Open Graph image

  <Expandable title="Meta Object">
    <ResponseField name="title" type="string | undefined">
      The page title
    </ResponseField>

    <ResponseField name="description" type="string | undefined">
      The page description
    </ResponseField>

    <ResponseField name="keywords" type="string | undefined">
      The page keywords
    </ResponseField>

    <ResponseField name="og_image" type="string | undefined">
      The Open Graph image URL
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```javascript Javascript theme={null}
  import { JigsawStack } from "jigsawstack";

  const jigsaw = JigsawStack({ apiKey: "your-api-key" });

  const response = await jigsaw.web.ai_scrape({
    "url": "https://news.ycombinator.com/news",
    "element_prompts": [
          "titles",
          "points"
    ]
  })
  ```

  ```python Python theme={null}
  from jigsawstack import JigsawStack

  jigsaw = JigsawStack(api_key="your-api-key")

  response = jigsaw.web.ai_scrape({
    "url": "https://news.ycombinator.com/news",
    "element_prompts": [
          "titles",
          "points"
    ]
  })
  ```

  ```bash Curl theme={null}
  curl https://api.jigsawstack.com/v1/ai/scrape \
  -X POST \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: your-api-key' \
  -d '{"url":"https://news.ycombinator.com/news","element_prompts":["titles","points"]}'
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api.jigsawstack.com/v1/ai/scrape');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
  'Content-Type: application/json',
  'x-api-key: your-api-key',
  ]);
  curl_setopt($ch, CURLOPT_POSTFIELDS, '{"url":"https://news.ycombinator.com/news","element_prompts":["titles","points"]}');

  $response = curl_exec($ch);

  curl_close($ch);

  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'

  uri = URI('https://api.jigsawstack.com/v1/ai/scrape')
  req = Net::HTTP::Post.new(uri)
  req.content_type = 'application/json'
  req['x-api-key'] = 'your-api-key'

  req.body = {
  'url' => 'https://news.ycombinator.com/news',
  'element_prompts' => [
  'titles',
  'points'
  ]
  }.to_json

  req_options = {
  use_ssl: uri.scheme == 'https'
  }
  res = Net::HTTP.start(uri.hostname, uri.port, req_options) do |http|
  http.request(req)
  end

  ```

  ```go Go theme={null}
  package main

  import (
  "fmt"
  "io"
  "log"
  "net/http"
  "strings"
  )

  func main() {
  client := &http.Client{}
  var data = strings.NewReader(`{"url":"https://news.ycombinator.com/news","element_prompts":["titles","points"]}`)
  req, err := http.NewRequest("POST", "https://api.jigsawstack.com/v1/ai/scrape", data)
  if err != nil {
  	log.Fatal(err)
  }
  req.Header.Set("Content-Type", "application/json")
  req.Header.Set("x-api-key", "your-api-key")
  resp, err := client.Do(req)
  if err != nil {
  	log.Fatal(err)
  }
  defer resp.Body.Close()
  bodyText, err := io.ReadAll(resp.Body)
  if err != nil {
  	log.Fatal(err)
  }
  fmt.Printf("%s\n", bodyText)
  }

  ```

  ```java Java theme={null}
  import java.io.IOException;
  import java.net.URI;
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpRequest.BodyPublishers;
  import java.net.http.HttpResponse;

  HttpClient client = HttpClient.newHttpClient();

  HttpRequest request = HttpRequest.newBuilder()
  .uri(URI.create("https://api.jigsawstack.com/v1/ai/scrape"))
  .POST(BodyPublishers.ofString("{\"url\":\"https://news.ycombinator.com/news\",\"element_prompts\":[\"titles\",\"points\"]}"))
  .setHeader("Content-Type", "application/json")
  .setHeader("x-api-key", "your-api-key")
  .build();

  HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

  ```

  ```swift Swift theme={null}
  import Foundation

  let jsonData = [
  "url": "https://news.ycombinator.com/news",
  "element_prompts": [
      "titles",
      "points"
  ]
  ] as [String : Any]
  let data = try! JSONSerialization.data(withJSONObject: jsonData, options: [])

  let url = URL(string: "https://api.jigsawstack.com/v1/ai/scrape")!
  let headers = [
  "Content-Type": "application/json",
  "x-api-key": "your-api-key"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.allHTTPHeaderFields = headers
  request.httpBody = data as Data

  let task = URLSession.shared.dataTask(with: request) { (data, response, error) in
  if let error = error {
      print(error)
  } else if let data = data {
      let str = String(data: data, encoding: .utf8)
      print(str ?? "")
  }
  }

  task.resume()

  ```

  ```dart Dart theme={null}
  import 'package:http/http.dart' as http;

  void main() async {
  final headers = {
  'Content-Type': 'application/json',
  'x-api-key': 'your-api-key',
  };

  final data = '{"url":"https://news.ycombinator.com/news","element_prompts":["titles","points"]}';

  final url = Uri.parse('https://api.jigsawstack.com/v1/ai/scrape');

  final res = await http.post(url, headers: headers, body: data);
  final status = res.statusCode;
  if (status != 200) throw Exception('http.post error: statusCode= $status');

  print(res.body);
  }

  ```

  ```kotlin Kotlin theme={null}
  import java.io.IOException
  import okhttp3.MediaType.Companion.toMediaType
  import okhttp3.OkHttpClient
  import okhttp3.Request
  import okhttp3.RequestBody.Companion.toRequestBody

  val client = OkHttpClient()

  val MEDIA_TYPE = "application/json".toMediaType()

  val requestBody = "{\"url\":\"https://news.ycombinator.com/news\",\"element_prompts\":[\"titles\",\"points\"]}"

  val request = Request.Builder()
  .url("https://api.jigsawstack.com/v1/ai/scrape")
  .post(requestBody.toRequestBody(MEDIA_TYPE))
  .header("Content-Type", "application/json")
  .header("x-api-key", "your-api-key")
  .build()

  client.newCall(request).execute().use { response ->
  if (!response.isSuccessful) throw IOException("Unexpected code $response")
  response.body!!.string()
  }

  ```

  ```csharp C# theme={null}
  using System.Net.Http.Headers;
  using System.Net.Http.Json;

  HttpClient client = new HttpClient();

  HttpRequestMessage request = new HttpRequestMessage(HttpMethod.Post, "https://api.jigsawstack.com/v1/ai/scrape");
  request.Headers.Add("x-api-key", "your-api-key");
  request.Content = JsonContent.Create(new
  {
  url = "https://news.ycombinator.com/news",
  element_prompts = new List<string> { "titles", "points" }
  });
  request.Content.Headers.ContentType = new MediaTypeHeaderValue("application/json");

  HttpResponseMessage response = await client.SendAsync(request);
  response.EnsureSuccessStatusCode();
  string responseBody = await response.Content.ReadAsStringAsync();

  Console.WriteLine(responseBody);
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "page_position": 1,
    "page_position_length": 1,
    "context": {
          "titles": [
                "Waymo has received our pilot permit allowing for commercial operations at SFO (waymo.com)",
                "Things you can do with a Software Defined Radio (2024) (blinry.org)",
                "Adios Chicos, 25 Years of KDE (jriddell.org)",
                "Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History (koi.security)",
                "Plugin System (iina.io)",
                "Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems (github.com/rowboatlabs)",
                "A new experimental Google app for Windows (blog.google)",
                "UTF-8 history (2003) (cat-v.org)",
                "CIA Freedom of Information Act Electronic Reading Room (cia.gov)",
                "Bertrand Russell to Oswald Mosley (1962) (lettersofnote.com)",
                "I built my own phone because innovation is sad rn [video] (youtube.com)",
                "Self Propagating NPM Malware (stepsecurity.io)",
                "Show HN: AI Code Detector – detect AI-generated code with 95% accuracy (code-detector.ai)",
                "How Container Filesystem Works: Building a Docker-Like Container from Scratch (iximiuz.com)",
                "Implicit ODE Solvers Are Not Universally More Robust Than Explicit ODE Solvers (stochasticlifestyle.com)",
                "Development of the MOS Technology 6502: A Historical Perspective (2022) (embeddedrelated.com)",
                "Paper Folding Assembly Line [video] (youtube.com)",
                "Scammed out of $130K via fake Google call, spoofed Google email and auth sync (bewildered.substack.com)",
                "The Linux Process Journey [pdf] (thelearningjourneyebooks.com)",
                "Generative AI as Seniority-Biased Technological Change (ssrn.com)",
                "Writing an operating system kernel from scratch – RISC-V/OpenSBI/Zig (popovicu.com)",
                "Microsoft Favors Anthropic over OpenAI for Visual Studio Code (theverge.com)",
                "60 years after Gemini, newly processed images reveal details (arstechnica.com)",
                "Will I run Boston 2026? (getfast.ai)",
                "Teen safety, freedom, and privacy (openai.com)",
                "Java 25 officially released (openjdk.org)",
                "Migrating to React Native's new architecture (shopify.engineering)",
                "Robert Redford has died (nytimes.com)",
                "Scientists uncover extreme life inside the Arctic ice (stanford.edu)",
                "\"Your\" vs. \"My\" in user interfaces (adamsilver.io)"
          ],
          "points": [
                "316 points",
                "378 points",
                "40 points",
                "18 points",
                "88 points",
                "29 points",
                "61 points",
                "63 points",
                "122 points",
                "103 points",
                "491 points",
                "19 points",
                "8 points",
                "67 points",
                "32 points",
                "12 points",
                "65 points",
                "7 points",
                "180 points",
                "135 points",
                "218 points",
                "24 points",
                "188 points",
                "99 points",
                "404 points",
                "64 points",
                "423 points",
                "408 points",
                "64 points",
                "428 points"
          ]
    },
    "selectors": {
          "titles": [
                "tr.athing.submission td.title span.titleline a",
                "tr.athing.submission td.title span.titleline",
                "tr.athing.submission > td.title + td.title span.titleline > a",
                "#bigbox table tr.athing.submission td.title span.titleline a",
                "table#hnmain tr.athing.submission td.title span.titleline a"
          ],
          "points": [
                "tr + tr td.subtext span.score",
                "tr td.subtext span.subline > span.score",
                "tr.athing.submission + tr td.subtext span.score",
                "table#hnmain td.subtext span.score",
                "#bigbox td.subtext span.score"
          ]
    },
    "meta": {},
    "link": [
          {
                "href": "https://news.ycombinator.com",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/news",
                "text": "Hacker News",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/newest",
                "text": "new",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/front",
                "text": "past",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/newcomments",
                "text": "comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/ask",
                "text": "ask",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/show",
                "text": "show",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/jobs",
                "text": "jobs",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/submit",
                "text": "submit",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/login?goto=news",
                "text": "login",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264562&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://waymo.com/blog/#short-all-systems-go-at-sfo-waymo-has-received-our-pilot-permit",
                "text": "Waymo has received our pilot permit allowing for commercial operations at SFO",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=waymo.com",
                "text": "waymo.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=ChrisArchitect",
                "text": "ChrisArchitect",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264562",
                "text": "2 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264562&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264562",
                "text": "202 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45262835&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://blinry.org/50-things-with-sdr/",
                "text": "Things you can do with a Software Defined Radio (2024)",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=blinry.org",
                "text": "blinry.org",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=mihau",
                "text": "mihau",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45262835",
                "text": "4 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45262835&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45262835",
                "text": "75 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45265881&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://jriddell.org/2025/09/14/adios-chicos-25-years-of-kde/",
                "text": "Adios Chicos, 25 Years of KDE",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=jriddell.org",
                "text": "jriddell.org",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=thangqt",
                "text": "thangqt",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265881",
                "text": "28 minutes ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45265881&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265881",
                "text": "6 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45265937&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.koi.security/blog/shai-hulud-npm-supply-chain-attack-crowdstrike-tinycolor",
                "text": "Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=koi.security",
                "text": "koi.security",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=chha",
                "text": "chha",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265937",
                "text": "24 minutes ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45265937&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265937",
                "text": "1 comment",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264190&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://iina.io/plugins/",
                "text": "Plugin System",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=iina.io",
                "text": "iina.io",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=xnhbx",
                "text": "xnhbx",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264190",
                "text": "2 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264190&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264190",
                "text": "19 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264867&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://github.com/rowboatlabs/rowboat",
                "text": "Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=github.com/rowboatlabs",
                "text": "github.com/rowboatlabs",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=segmenta",
                "text": "segmenta",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264867",
                "text": "1 hour ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264867&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264867",
                "text": "16 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45263317&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://blog.google/products/search/google-app-windows-labs/",
                "text": "A new experimental Google app for Windows",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=blog.google",
                "text": "blog.google",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=meetpateltech",
                "text": "meetpateltech",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263317",
                "text": "3 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45263317&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263317",
                "text": "97 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45230515&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://doc.cat-v.org/bell_labs/utf-8_history",
                "text": "UTF-8 history (2003)",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=cat-v.org",
                "text": "cat-v.org",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=mikecarlton",
                "text": "mikecarlton",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45230515",
                "text": "3 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45230515&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45230515",
                "text": "17 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45261764&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.cia.gov/readingroom",
                "text": "CIA Freedom of Information Act Electronic Reading Room",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=cia.gov",
                "text": "cia.gov",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=bookofjoe",
                "text": "bookofjoe",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261764",
                "text": "5 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45261764&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261764",
                "text": "23 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264340&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://lettersofnote.com/2016/02/02/every-ounce-of-my-energy/",
                "text": "Bertrand Russell to Oswald Mosley (1962)",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=lettersofnote.com",
                "text": "lettersofnote.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=giraffe_lady",
                "text": "giraffe_lady",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264340",
                "text": "2 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264340&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264340",
                "text": "49 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45245050&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.youtube.com/watch?v=qy_9w_c2ub0",
                "text": "I built my own phone because innovation is sad rn [video]",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=youtube.com",
                "text": "youtube.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=Timothee",
                "text": "Timothee",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45245050",
                "text": "1 hour ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45245050&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45245050",
                "text": "2 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45260741&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.stepsecurity.io/blog/ctrl-tinycolor-and-40-npm-packages-compromised",
                "text": "Self Propagating NPM Malware",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=stepsecurity.io",
                "text": "stepsecurity.io",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=jamesberthoty",
                "text": "jamesberthoty",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45260741",
                "text": "7 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45260741&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45260741",
                "text": "379 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45265831&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://code-detector.ai/",
                "text": "Show HN: AI Code Detector – detect AI-generated code with 95% accuracy",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=code-detector.ai",
                "text": "code-detector.ai",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=henryl",
                "text": "henryl",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265831",
                "text": "32 minutes ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45265831&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265831",
                "text": "15 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45232426&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://labs.iximiuz.com/tutorials/container-filesystem-from-scratch",
                "text": "How Container Filesystem Works: Building a Docker-Like Container from Scratch",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=iximiuz.com",
                "text": "iximiuz.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=lgunsch",
                "text": "lgunsch",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45232426",
                "text": "1 hour ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45232426&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45232426",
                "text": "discuss",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45262151&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.stochasticlifestyle.com/implicit-ode-solvers-are-not-universally-more-robust-than-explicit-ode-solvers-or-why-no-ode-solver-is-best/",
                "text": "Implicit ODE Solvers Are Not Universally More Robust Than Explicit ODE Solvers",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=stochasticlifestyle.com",
                "text": "stochasticlifestyle.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=cbolton",
                "text": "cbolton",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45262151",
                "text": "5 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45262151&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45262151",
                "text": "21 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45263221&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.EmbeddedRelated.com/showarticle/1453.php",
                "text": "Development of the MOS Technology 6502: A Historical Perspective (2022)",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=embeddedrelated.com",
                "text": "embeddedrelated.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=jason_s",
                "text": "jason_s",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263221",
                "text": "3 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45263221&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263221",
                "text": "5 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45161219&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.youtube.com/watch?v=XhUuhl9iWpQ",
                "text": "Paper Folding Assembly Line [video]",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=youtube.com",
                "text": "youtube.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=peteforde",
                "text": "peteforde",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45161219",
                "text": "1 hour ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45161219&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45161219",
                "text": "1 comment",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264726&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://bewildered.substack.com/p/i-was-scammed-out-of-130000-and-google",
                "text": "Scammed out of $130K via fake Google call, spoofed Google email and auth sync",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=bewildered.substack.com",
                "text": "bewildered.substack.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=davidscoville",
                "text": "davidscoville",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264726",
                "text": "2 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264726&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264726",
                "text": "116 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45265610&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://thelearningjourneyebooks.com/wp-content/uploads/2023/09/TheLinuxProcessJourney_v6_Sep2023.pdf",
                "text": "The Linux Process Journey [pdf]",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=thelearningjourneyebooks.com",
                "text": "thelearningjourneyebooks.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=maxmoehl",
                "text": "maxmoehl",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265610",
                "text": "49 minutes ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45265610&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45265610",
                "text": "discuss",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45261930&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://papers.ssrn.com/sol3/papers.cfm?abstract_id=5425555",
                "text": "Generative AI as Seniority-Biased Technological Change",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=ssrn.com",
                "text": "ssrn.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=zeuch",
                "text": "zeuch",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261930",
                "text": "5 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45261930&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261930",
                "text": "156 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45236479&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://popovicu.com/posts/writing-an-operating-system-kernel-from-scratch/",
                "text": "Writing an operating system kernel from scratch – RISC-V/OpenSBI/Zig",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=popovicu.com",
                "text": "popovicu.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=popovicu",
                "text": "popovicu",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45236479",
                "text": "3 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45236479&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45236479",
                "text": "1 comment",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45263063&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.theverge.com/report/778641/microsoft-visual-studio-code-anthropic-claude-4",
                "text": "Microsoft Favors Anthropic over OpenAI for Visual Studio Code",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=theverge.com",
                "text": "theverge.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=corvad",
                "text": "corvad",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263063",
                "text": "4 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45263063&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45263063",
                "text": "63 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45231614&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://arstechnica.com/space/2025/09/60-years-after-gemini-newly-processed-images-reveal-incredible-details/",
                "text": "60 years after Gemini, newly processed images reveal details",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=arstechnica.com",
                "text": "arstechnica.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=sohkamyung",
                "text": "sohkamyung",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45231614",
                "text": "12 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45231614&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45231614",
                "text": "59 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45264094&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://getfast.ai/blogs/boston-2026",
                "text": "Will I run Boston 2026?",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=getfast.ai",
                "text": "getfast.ai",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=steadyelk",
                "text": "steadyelk",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264094",
                "text": "2 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45264094&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45264094",
                "text": "24 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45261659&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://openai.com/index/teen-safety-freedom-and-privacy",
                "text": "Teen safety, freedom, and privacy",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=openai.com",
                "text": "openai.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=meetpateltech",
                "text": "meetpateltech",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261659",
                "text": "5 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45261659&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261659",
                "text": "67 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45261946&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://mail.openjdk.org/pipermail/announce/2025-September/000360.html",
                "text": "Java 25 officially released",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=openjdk.org",
                "text": "openjdk.org",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=mkurz",
                "text": "mkurz",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261946",
                "text": "5 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45261946&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261946",
                "text": "75 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45225217&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://shopify.engineering/react-native-new-architecture",
                "text": "Migrating to React Native's new architecture",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=shopify.engineering",
                "text": "shopify.engineering",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=vidyesh",
                "text": "vidyesh",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45225217",
                "text": "8 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45225217&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45225217",
                "text": "59 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45261159&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://www.nytimes.com/2025/09/16/movies/robert-redford-dead.html",
                "text": "Robert Redford has died",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=nytimes.com",
                "text": "nytimes.com",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=uptown",
                "text": "uptown",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261159",
                "text": "6 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45261159&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45261159",
                "text": "124 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45228231&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://news.stanford.edu/stories/2025/09/extreme-life-arctic-ice-diatoms-ecological-discovery",
                "text": "Scientists uncover extreme life inside the Arctic ice",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=stanford.edu",
                "text": "stanford.edu",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=hhs",
                "text": "hhs",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45228231",
                "text": "8 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45228231&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45228231",
                "text": "23 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/vote?id=45257627&how=up&goto=news",
                "text": "",
                "type": "a"
          },
          {
                "href": "https://adamsilver.io/blog/your-vs-my-in-user-interfaces/",
                "text": "\"Your\" vs. \"My\" in user interfaces",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/from?site=adamsilver.io",
                "text": "adamsilver.io",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/user?id=Twixes",
                "text": "Twixes",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45257627",
                "text": "15 hours ago",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/hide?id=45257627&goto=news",
                "text": "hide",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/item?id=45257627",
                "text": "207 comments",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/?p=2",
                "text": "More",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/newsguidelines.html",
                "text": "Guidelines",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/newsfaq.html",
                "text": "FAQ",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/lists",
                "text": "Lists",
                "type": "a"
          },
          {
                "href": "https://github.com/HackerNews/API",
                "text": "API",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/security.html",
                "text": "Security",
                "type": "a"
          },
          {
                "href": "https://www.ycombinator.com/legal/",
                "text": "Legal",
                "type": "a"
          },
          {
                "href": "https://www.ycombinator.com/apply/",
                "text": "Apply to YC",
                "type": "a"
          },
          {
                "href": "mailto:hn@ycombinator.com",
                "text": "Contact",
                "type": "a"
          },
          {
                "href": "https://news.ycombinator.com/y18.svg",
                "text": null,
                "type": "img"
          },
          {
                "href": "https://news.ycombinator.com/s.gif",
                "text": null,
                "type": "img"
          }
    ],
    "data": [
          {
                "selector": "tr.athing.submission td.title span.titleline a",
                "results": [
                      {
                            "html": "Waymo has received our pilot permit allowing for commercial operations at SFO",
                            "text": "Waymo has received our pilot permit allowing for commercial operations at SFO",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://waymo.com/blog/#short-all-systems-go-at-sfo-waymo-has-received-our-pilot-permit"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">waymo.com</span>",
                            "text": "waymo.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=waymo.com"
                                  }
                            ]
                      },
                      {
                            "html": "Things you can do with a Software Defined Radio (2024)",
                            "text": "Things you can do with a Software Defined Radio (2024)",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://blinry.org/50-things-with-sdr/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">blinry.org</span>",
                            "text": "blinry.org",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=blinry.org"
                                  }
                            ]
                      },
                      {
                            "html": "Adios Chicos, 25 Years of KDE",
                            "text": "Adios Chicos, 25 Years of KDE",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://jriddell.org/2025/09/14/adios-chicos-25-years-of-kde/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">jriddell.org</span>",
                            "text": "jriddell.org",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=jriddell.org"
                                  }
                            ]
                      },
                      {
                            "html": "Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History",
                            "text": "Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.koi.security/blog/shai-hulud-npm-supply-chain-attack-crowdstrike-tinycolor"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">koi.security</span>",
                            "text": "koi.security",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=koi.security"
                                  }
                            ]
                      },
                      {
                            "html": "Plugin System",
                            "text": "Plugin System",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://iina.io/plugins/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">iina.io</span>",
                            "text": "iina.io",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=iina.io"
                                  }
                            ]
                      },
                      {
                            "html": "Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems",
                            "text": "Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://github.com/rowboatlabs/rowboat"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">github.com/rowboatlabs</span>",
                            "text": "github.com/rowboatlabs",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=github.com/rowboatlabs"
                                  }
                            ]
                      },
                      {
                            "html": "A new experimental Google app for Windows",
                            "text": "A new experimental Google app for Windows",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://blog.google/products/search/google-app-windows-labs/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">blog.google</span>",
                            "text": "blog.google",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=blog.google"
                                  }
                            ]
                      },
                      {
                            "html": "UTF-8 history (2003)",
                            "text": "UTF-8 history (2003)",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://doc.cat-v.org/bell_labs/utf-8_history"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">cat-v.org</span>",
                            "text": "cat-v.org",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=cat-v.org"
                                  }
                            ]
                      },
                      {
                            "html": "CIA Freedom of Information Act Electronic Reading Room",
                            "text": "CIA Freedom of Information Act Electronic Reading Room",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.cia.gov/readingroom"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">cia.gov</span>",
                            "text": "cia.gov",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=cia.gov"
                                  }
                            ]
                      },
                      {
                            "html": "Bertrand Russell to Oswald Mosley (1962)",
                            "text": "Bertrand Russell to Oswald Mosley (1962)",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://lettersofnote.com/2016/02/02/every-ounce-of-my-energy/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">lettersofnote.com</span>",
                            "text": "lettersofnote.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=lettersofnote.com"
                                  }
                            ]
                      },
                      {
                            "html": "I built my own phone because innovation is sad rn [video]",
                            "text": "I built my own phone because innovation is sad rn [video]",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.youtube.com/watch?v=qy_9w_c2ub0"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">youtube.com</span>",
                            "text": "youtube.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=youtube.com"
                                  }
                            ]
                      },
                      {
                            "html": "Self Propagating NPM Malware",
                            "text": "Self Propagating NPM Malware",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.stepsecurity.io/blog/ctrl-tinycolor-and-40-npm-packages-compromised"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">stepsecurity.io</span>",
                            "text": "stepsecurity.io",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=stepsecurity.io"
                                  }
                            ]
                      },
                      {
                            "html": "Show HN: AI Code Detector – detect AI-generated code with 95% accuracy",
                            "text": "Show HN: AI Code Detector – detect AI-generated code with 95% accuracy",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://code-detector.ai/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">code-detector.ai</span>",
                            "text": "code-detector.ai",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=code-detector.ai"
                                  }
                            ]
                      },
                      {
                            "html": "How Container Filesystem Works: Building a Docker-Like Container from Scratch",
                            "text": "How Container Filesystem Works: Building a Docker-Like Container from Scratch",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://labs.iximiuz.com/tutorials/container-filesystem-from-scratch"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">iximiuz.com</span>",
                            "text": "iximiuz.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=iximiuz.com"
                                  }
                            ]
                      },
                      {
                            "html": "Implicit ODE Solvers Are Not Universally More Robust Than Explicit ODE Solvers",
                            "text": "Implicit ODE Solvers Are Not Universally More Robust Than Explicit ODE Solvers",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.stochasticlifestyle.com/implicit-ode-solvers-are-not-universally-more-robust-than-explicit-ode-solvers-or-why-no-ode-solver-is-best/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">stochasticlifestyle.com</span>",
                            "text": "stochasticlifestyle.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=stochasticlifestyle.com"
                                  }
                            ]
                      },
                      {
                            "html": "Development of the MOS Technology 6502: A Historical Perspective (2022)",
                            "text": "Development of the MOS Technology 6502: A Historical Perspective (2022)",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.EmbeddedRelated.com/showarticle/1453.php"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">embeddedrelated.com</span>",
                            "text": "embeddedrelated.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=embeddedrelated.com"
                                  }
                            ]
                      },
                      {
                            "html": "Paper Folding Assembly Line [video]",
                            "text": "Paper Folding Assembly Line [video]",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.youtube.com/watch?v=XhUuhl9iWpQ"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">youtube.com</span>",
                            "text": "youtube.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=youtube.com"
                                  }
                            ]
                      },
                      {
                            "html": "Scammed out of $130K via fake Google call, spoofed Google email and auth sync",
                            "text": "Scammed out of $130K via fake Google call, spoofed Google email and auth sync",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://bewildered.substack.com/p/i-was-scammed-out-of-130000-and-google"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">bewildered.substack.com</span>",
                            "text": "bewildered.substack.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=bewildered.substack.com"
                                  }
                            ]
                      },
                      {
                            "html": "The Linux Process Journey [pdf]",
                            "text": "The Linux Process Journey [pdf]",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://thelearningjourneyebooks.com/wp-content/uploads/2023/09/TheLinuxProcessJourney_v6_Sep2023.pdf"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">thelearningjourneyebooks.com</span>",
                            "text": "thelearningjourneyebooks.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=thelearningjourneyebooks.com"
                                  }
                            ]
                      },
                      {
                            "html": "Generative AI as Seniority-Biased Technological Change",
                            "text": "Generative AI as Seniority-Biased Technological Change",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://papers.ssrn.com/sol3/papers.cfm?abstract_id=5425555"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">ssrn.com</span>",
                            "text": "ssrn.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=ssrn.com"
                                  }
                            ]
                      },
                      {
                            "html": "Writing an operating system kernel from scratch – RISC-V/OpenSBI/Zig",
                            "text": "Writing an operating system kernel from scratch – RISC-V/OpenSBI/Zig",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://popovicu.com/posts/writing-an-operating-system-kernel-from-scratch/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">popovicu.com</span>",
                            "text": "popovicu.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=popovicu.com"
                                  }
                            ]
                      },
                      {
                            "html": "Microsoft Favors Anthropic over OpenAI for Visual Studio Code",
                            "text": "Microsoft Favors Anthropic over OpenAI for Visual Studio Code",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.theverge.com/report/778641/microsoft-visual-studio-code-anthropic-claude-4"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">theverge.com</span>",
                            "text": "theverge.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=theverge.com"
                                  }
                            ]
                      },
                      {
                            "html": "60 years after Gemini, newly processed images reveal details",
                            "text": "60 years after Gemini, newly processed images reveal details",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://arstechnica.com/space/2025/09/60-years-after-gemini-newly-processed-images-reveal-incredible-details/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">arstechnica.com</span>",
                            "text": "arstechnica.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=arstechnica.com"
                                  }
                            ]
                      },
                      {
                            "html": "Will I run Boston 2026?",
                            "text": "Will I run Boston 2026?",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://getfast.ai/blogs/boston-2026"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">getfast.ai</span>",
                            "text": "getfast.ai",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=getfast.ai"
                                  }
                            ]
                      },
                      {
                            "html": "Teen safety, freedom, and privacy",
                            "text": "Teen safety, freedom, and privacy",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://openai.com/index/teen-safety-freedom-and-privacy"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">openai.com</span>",
                            "text": "openai.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=openai.com"
                                  }
                            ]
                      },
                      {
                            "html": "Java 25 officially released",
                            "text": "Java 25 officially released",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://mail.openjdk.org/pipermail/announce/2025-September/000360.html"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">openjdk.org</span>",
                            "text": "openjdk.org",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=openjdk.org"
                                  }
                            ]
                      },
                      {
                            "html": "Migrating to React Native's new architecture",
                            "text": "Migrating to React Native's new architecture",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://shopify.engineering/react-native-new-architecture"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">shopify.engineering</span>",
                            "text": "shopify.engineering",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=shopify.engineering"
                                  }
                            ]
                      },
                      {
                            "html": "Robert Redford has died",
                            "text": "Robert Redford has died",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://www.nytimes.com/2025/09/16/movies/robert-redford-dead.html"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">nytimes.com</span>",
                            "text": "nytimes.com",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=nytimes.com"
                                  }
                            ]
                      },
                      {
                            "html": "Scientists uncover extreme life inside the Arctic ice",
                            "text": "Scientists uncover extreme life inside the Arctic ice",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://news.stanford.edu/stories/2025/09/extreme-life-arctic-ice-diatoms-ecological-discovery"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">stanford.edu</span>",
                            "text": "stanford.edu",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=stanford.edu"
                                  }
                            ]
                      },
                      {
                            "html": "\"Your\" vs. \"My\" in user interfaces",
                            "text": "\"Your\" vs. \"My\" in user interfaces",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "https://adamsilver.io/blog/your-vs-my-in-user-interfaces/"
                                  }
                            ]
                      },
                      {
                            "html": "<span class=\"sitestr\">adamsilver.io</span>",
                            "text": "adamsilver.io",
                            "attributes": [
                                  {
                                        "name": "href",
                                        "value": "from?site=adamsilver.io"
                                  }
                            ]
                      }
                ],
                "key": "titles"
          },
          {
                "selector": "tr.athing.submission td.title span.titleline",
                "results": [
                      {
                            "html": "<a href=\"https://waymo.com/blog/#short-all-systems-go-at-sfo-waymo-has-received-our-pilot-permit\">Waymo has received our pilot permit allowing for commercial operations at SFO</a><span class=\"sitebit comhead\"> (<a href=\"from?site=waymo.com\"><span class=\"sitestr\">waymo.com</span></a>)</span>",
                            "text": "Waymo has received our pilot permit allowing for commercial operations at SFO (waymo.com)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://blinry.org/50-things-with-sdr/\">Things you can do with a Software Defined Radio (2024)</a><span class=\"sitebit comhead\"> (<a href=\"from?site=blinry.org\"><span class=\"sitestr\">blinry.org</span></a>)</span>",
                            "text": "Things you can do with a Software Defined Radio (2024) (blinry.org)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://jriddell.org/2025/09/14/adios-chicos-25-years-of-kde/\">Adios Chicos, 25 Years of KDE</a><span class=\"sitebit comhead\"> (<a href=\"from?site=jriddell.org\"><span class=\"sitestr\">jriddell.org</span></a>)</span>",
                            "text": "Adios Chicos, 25 Years of KDE (jriddell.org)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://www.koi.security/blog/shai-hulud-npm-supply-chain-attack-crowdstrike-tinycolor\">Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History</a><span class=\"sitebit comhead\"> (<a href=\"from?site=koi.security\"><span class=\"sitestr\">koi.security</span></a>)</span>",
                            "text": "Live Updates: Shai-Hulud, the Most Dangerous NPM Breach in History (koi.security)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://iina.io/plugins/\">Plugin System</a><span class=\"sitebit comhead\"> (<a href=\"from?site=iina.io\"><span class=\"sitestr\">iina.io</span></a>)</span>",
                            "text": "Plugin System (iina.io)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://github.com/rowboatlabs/rowboat\">Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems</a><span class=\"sitebit comhead\"> (<a href=\"from?site=github.com/rowboatlabs\"><span class=\"sitestr\">github.com/rowboatlabs</span></a>)</span>",
                            "text": "Launch HN: Rowboat (YC S24) – Open-source IDE for multi-agent systems (github.com/rowboatlabs)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://blog.google/products/search/google-app-windows-labs/\">A new experimental Google app for Windows</a><span class=\"sitebit comhead\"> (<a href=\"from?site=blog.google\"><span class=\"sitestr\">blog.google</span></a>)</span>",
                            "text": "A new experimental Google app for Windows (blog.google)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
                            "html": "<a href=\"https://doc.cat-v.org/bell_labs/utf-8_history\">UTF-8 history (2003)</a><span class=\"sitebit comhead\"> (<a href=\"from?site=cat-v.org\"><span class=\"sitestr\">cat-v.org</span></a>)</span>",
                            "text": "UTF-8 history (2003) (cat-v.org)",
                            "attributes": [
                                  {
                                        "name": "class",
                                        "value": "titleline"
                                  }
                            ]
                      },
                      {
[...]
